// pages/address/index.js
const api = require('../../../api/index.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    address:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
 this.getaddress()
  },
  getaddress(){
    let data ={
      operationId:''
    }
    api.request(`/sysaddress/selectaddress`, 'post',data,{ isPublic: false })
    .then((data) => {
  console.log(data.data);
  if (data.code==200) {
    this.setData({
      address:data.data
    })
  }
 
    })
    .catch((err) => {
   
      console.error('请求失败：', err);
    });
  },
  onIconTap(item){
    console.log(item.currentTarget.dataset.item);

    if (item.currentTarget.dataset.item=='add') {
      wx.navigateTo({
        url: `/package-order/pages/newaddress/index`,
      })
    }else{
      console.log(item.currentTarget.dataset.item);
      let obj = item.currentTarget.dataset.item
      wx.setStorageSync("editAddress", obj);
    wx.navigateTo({
      url: `/package-order/pages/newaddress/index`,
    })
    }
  
  },
  onDelete(id){
    console.log(id.currentTarget.dataset.id);
    let data ={
      addressId:id.currentTarget.dataset.id
    }
    api.request(`/sysaddress/deleteaddress`, 'post',data,{ isPublic: false })
    .then((data) => {
  console.log(data.data);
  if (data.code==200) {
 this.getaddress()
  }
 
    })
    .catch((err) => {
   
      console.error('请求失败：', err);
    });
  },
  radioChange(e){
   console.log(e.detail.value);

  },
    /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})